Subject: Re: com/sun/jini/example/launcher/StartService
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2004 17:39:33 -0500

OK Ivan I will attempt that after I get my brand spanking new Cygwin in.

I thought I could use UNIX notation in Cygwin but I see I cannot.  oops.

George Hester
__________________________________
"Igor Pechtchanski" wrote in message news:[email-masked]...
> On Mon, 22 Mar 2004, George Hester wrote:
> 
> > This command line in the Bash shell:
> >
> > java -cp /files/jini1_2/lib/jini-ext.jar:/files/jini1_2/lib/jini-examples.jar com.sun.jini.example.launcher.StartService
> >
> > becomes
> >
> > java -cp /files/jini1_2/lib/jini-ext.jar:/files/jini1_2/lib/jini-examples.jar com/sun/jini/example/launcher/StartService
> >
> > and so of course error is
> >
> > java.lang.NoClassDefFoundError : com/sun/jini/example/launcher/StartService
> > Exception in thread "main"
> >
> > What is wrong wiith Cygwin's usage of the java command console?  How do
> > I convince Cygwin that I mean
> >
> > com.sun.jini.example.launcher.StartService
> >
> > and not
> >
> > com/sun/jini/example/launcher/StartService?
> >
> > Thanks.
> 
> No, that's not it.  Java replaces dots by slashes internally, so the above
> is a perfectly valid error message -- it really cannot find the class.
> 
> What's wrong is that you supply the classpath as a POSIX path, and java,
> not being a Cygwin application, doesn't understand this path.  You need to
> convert the path to a Win32 path using cygpath.  For automatic conversion,
> search the archives for "java wrapper scripts".
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/